org.h2gis.functions.spatial.create

## Class ST_MakePolygon

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.create.ST_MakePolygon

All Implemented Interfaces:
  org.h2gis.api.Function, org.h2gis.api.ScalarFunction

    public class ST_MakePolygon
    extends org.h2gis.api.DeterministicScalarFunction

Class to create a polygon

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC, PROP_NOBUFFER`

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Constructor Summary

Constructors
Constructor and Description
`ST_MakePolygon()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `getJavaStaticMethod()`
`static com.vividsolutions.jts.geom.Polygon` `makePolygon(com.vividsolutions.jts.geom.Geometry shell)` Creates a Polygon formed by the given shell.
`static com.vividsolutions.jts.geom.Polygon` `makePolygon(com.vividsolutions.jts.geom.Geometry shell, com.vividsolutions.jts.geom.Geometry... holes)` Creates a Polygon formed by the given shell and holes.

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_MakePolygon

    public ST_MakePolygon()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### makePolygon

    public static com.vividsolutions.jts.geom.Polygon makePolygon(com.vividsolutions.jts.geom.Geometry shell)
                                                           throws IllegalArgumentException

Creates a Polygon formed by the given shell.

Parameters:
  `shell` -
Returns:
Throws:
  `IllegalArgumentException`

#### makePolygon

    public static com.vividsolutions.jts.geom.Polygon makePolygon(com.vividsolutions.jts.geom.Geometry shell,
                                                                  com.vividsolutions.jts.geom.Geometry... holes)
                                                           throws IllegalArgumentException

Creates a Polygon formed by the given shell and holes.

Parameters:
  `shell` -
  `holes` -
Returns:
Throws:
  `IllegalArgumentException`